defmodule Outlook.AuthorsFixtures do
  @moduledoc """
  This module defines test helpers for creating
  entities via the `Outlook.Authors` context.
  """

  @doc """
  Generate a author.
  """
  def author_fixture(attrs \\ %{}) do
    {:ok, author} =
      attrs
      |> Enum.into(%{
        description: "some description",
        homepage_name: "some homepage_name",
        homepage_url: "some homepage_url",
        name: "some name"
      })
      |> Outlook.Authors.create_author()

    author
  end
end
